package net.minecraft.world.item;

public class TieredItem extends Item {
    private final Tier tier;
    
    public TieredItem(final Tier blo, final Properties a) {
        super(a.defaultDurability(blo.getUses()));
        this.tier = blo;
    }
    
    public Tier getTier() {
        return this.tier;
    }
    
    @Override
    public int getEnchantmentValue() {
        return this.tier.getEnchantmentValue();
    }
    
    @Override
    public boolean isValidRepairItem(final ItemStack bki1, final ItemStack bki2) {
        return this.tier.getRepairIngredient().test(bki2) || super.isValidRepairItem(bki1, bki2);
    }
}
